<!DOCTYPE html>
<html>

<head>
    <style>
        /* Container with display: flex */
        .flex-container {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            border: 2px solid #333;
            padding: 10px;
        }

        /* Container with display: inline-flex */
        .inline-flex-container {
            display: inline-flex;
            flex-direction: column;
            border: 2px solid #333;
            padding: 10px;
        }

        /* Flex items */
        .flex-item {
            background-color: #FAD02E;
            padding: 10px;
            margin: 5px;
            border: 1px solid #000;
        }

        .flex-item-2 {
            background-color: #40B987;
        }

        .flex-item-3 {
            background-color: #4D74C2;
        }

        .flex-item-4 {
            background-color: #E36F6F;
        }
    </style>
    <!-- Container with display: flex:

    .flex-container là một khung chứa sử dụng Flexbox với display: flex.
    flex-direction được đặt thành "row" (mặc định), nghĩa là các mục con được xếp theo hàng ngang.
    justify-content được đặt thành "space-between", tức là các mục con được căn chỉnh để tận dụng hết không gian ngang.
    align-items được đặt thành "center", tức là các mục con được căn chỉnh theo trục dọc.
    Container with display: inline-flex:
    
    .inline-flex-container là một khung chứa sử dụng Flexbox với display: inline-flex.
    flex-direction được đặt thành "column", nghĩa là các mục con được xếp theo cột dọc.
    Flex properties:
    
    Các mục con được thiết lập với các giá trị khác nhau cho thuộc tính flex, điều này điều khiển cách không gian trống sẽ được chia sẻ giữa chúng trong flex-container. -->
</head>

<body>
    <h2>Container with display: flex</h2>
    <div class="flex-container">
        <div class="flex-item">Item 1</div>
        <div class="flex-item">Item 2</div>
        <div class="flex-item">Item 3</div>
    </div>

    <h2>Container with display: inline-flex</h2>
    <div class="inline-flex-container">
        <div class="flex-item">Item 1</div>
        <div class="flex-item">Item 2</div>
        <div class="flex-item">Item 3</div>
    </div>

    <h2>Flex properties</h2>
    <div class="flex-container">
        <div class="flex-item-2" style="flex: 1;">Flex 1</div>
        <div class="flex-item-3" style="flex: 2;">Flex 2</div>
        <div class="flex-item-4" style="flex: 1;">Flex 1</div>
    </div>
</body>

</html>